// SPDX-FileCopyrightText: 2023 Jan Staněk <jstanek@redhat.com>
//
// SPDX-License-Identifier: MIT
//
// Basic string manipulation and IO to test that wasi-libc works at all.

#define _POSIX_C_SOURCE 200809L

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

static const size_t MAX_MESSAGE_LEN = 32;
static const char * const MESSAGE = "smoke-test-ok";

int main(void) {
    char *buffer = calloc(strnlen(MESSAGE, MAX_MESSAGE_LEN), sizeof(char));
    if (!buffer) {
        return 255;
    }

    strncpy(buffer, MESSAGE, MAX_MESSAGE_LEN);
    printf("%s\n", buffer);

    free(buffer), buffer = NULL;
    return 0;
}
